{{ "<!-- banner -->" | safeHTML }}
<div class="container section">
	<div class="row">
		<div class="col-lg-8 text-center mx-auto">
			<h1 class="text-white mb-3">{{ .Site.Params.banner.title | markdownify }}</h1>
			<p class="text-white mb-4">{{ .Site.Params.banner.subtitle | markdownify }}</p>
			<div class="position-relative">
				<input id="search" class="form-control" placeholder="{{ .Site.Params.banner.placeholder }}" autofocus>
				<i class="ti-search search-icon"></i>
				<!-- Javascript -->
				{{ $currentNode := . }}
				{{ $currentNode.Scratch.Set "pages" .Site.Pages }}
				{{ $pages := ($currentNode.Scratch.Get "pages") }}
				<!-- JavaScript -->
				<!--
	    			Source : https://github.com/dolittle/Documentation/pull/66
				-->
				<script>
				  $(function() {
				    const projects = [
				      {{ range $.Site.Pages }}
                {
                  value: "{{ .Title }}",
                  label: "{{ .Plain }}",
                  url:"{{ .Permalink }}",
                  description: "{{ .Description }}",
                  keywords: "{{ .Keywords }}"
                },
				      {{ end }}
				    ];
				    $( "#search" ).autocomplete({
              minLength: 1,
              // overrides the default search with our own
              source: (request, response) => {
                  // the user input is in the term property. also remove special chars
                  const sanitizedInput = request.term.replace(/[^\w\s]/gi, '');
                  if (!sanitizedInput) {
                    return response();
                  }
                  const substrRegex = new RegExp(sanitizedInput, 'i');
                  return response(
                    projects.filter(page => {
                    // filter out contentless pages like _index.md's
                    if (page.label) {
                      // match with either the pages title or keywords.
                      // Note that the keywords include "[]" at the start and end of them
                      return substrRegex.test(page.value) || substrRegex.test(page.keywords);
                    }
                  }));
              },
              select: function(event, ui) {
                // takes you to the url when you select it, also works with enter
                window.location.href = ui.item.url;
              },
				    })
				    .data( "ui-autocomplete" )._renderItem = function( ul, item ) {
				      return $( "<li>" )
				      .append(`<a href="${item.url}" style="font-size: 110%">${item.value}</a>`)
				      .append(`<a href="${item.url}" style="font-size: 90%">${item.description}</a>`)
				      .append(`<a href="${item.url}" style="font-size: 60%;text-align:right;font-style: italic;">${item.keywords}</a>`)
				      .appendTo( ul );
				    };
				  });
			  </script>
			</div>
		</div>
	</div>
</div>
{{ "<!-- /banner -->" | safeHTML }}
